<template lang='pug'>
mixin dest(name)
  .input-group-prepend
    .input-group-text.text-muted(style="min-width: 3rem")= name

BaseAnimationGroup.row.x-create-transform(anim="height")
  .col-12(key='errors')
    ErrorList(ref='errors')
  .col-4(key='fromX')
    Input.p-0(ref='fromX' name='X' :inEdit='true')
      +dest('from')
      input(type='number' v-model='from.x')
  .col-4(key='toX')
    Input.p-0(ref='toX' name='X' :inEdit='true')
      +dest('to')
      input(type='number' v-model='to.x')
  .col-4(key='unitX')
      Input.p-0(ref='unitX' name='X' :inEdit='true')
        +dest('units')
        datalist(:id='unitsListId')
          option em
          option ex
          option px
          option in
          option cm
          option mm
          option pt
          option pc
          option %
        input(type='text' placeholder='default: px' :list='unitsListId' v-model='unit.x')
  .col-4(key='fromY')
    Input.p-0(ref='fromY' name='Y' :inEdit='true')
      +dest('from')
      input(type='number' v-model='from.y')
  .col-4(key='toY')
    Input.p-0(ref='toY' name='Y' :inEdit='true')
      +dest('to')
      input(type='number' v-model='to.y')
  .col-4(key='unitY')
      Input.p-0(ref='unitY' name='Y' :inEdit='true')
        +dest('unit')
        input(type='text' placeholder='default: px' :list='unitsListId' v-model='unit.y')
  .col-4(key='fromZ')
    Input.p-0(ref='fromZ' name='Z' :inEdit='true')
      +dest('from')
      input(type='number' v-model='from.z')
  .col-4(key='toZ')
    Input.p-0(ref='toZ' name='Z' :inEdit='true')
      +dest('to')
      input(type='number' v-model='to.z')
  .col-4(key='unitZ')
      Input.p-0(ref='unitZ' name='Z' :inEdit='true')
        +dest('unit')
        input(type='text' placeholder='default: px' :list='unitsListId' v-model='unit.z')
</template>
<script src='./CreateTransformTranslate.vue.js' />
<style lang='scss'>
.x-create-transform {
  .row {
    align-items: flex-end !important;
  }
}
</style>
